## binutils 2.35.2

=== debian/changelog ===
binutils (2.35.2-2) unstable; urgency=medium

  * Add debugedit as dependency for the build autopkg test.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 16:38:30 +0100

binutils (2.35.2-1) unstable; urgency=medium

  * binutils 2.35.2 release. Closes: #982086.
    - PR gas/27218, memory access violation in dwarf2dbg.c
    - PR gas/27195, enable DWARF5 support when required
    - PR binutils/27231: Fix parsing DWARF-5 line number tables,
      DWARF-5: Ignore empty range in DWARF-5 line number tables
    - Fix thinko in objcopy's memory freeing code (double free).
    - Fix Segmentation fault i386-gen.
    - PR binutils/26483, ASAN: ppc_elf_link_params elf32-ppc.c.
    - PR binutils/26492, ASAN: ppc64_elf_before_check_relocs elf64-ppc.c.
    - PR binutils/26489, ASAN: ppc64_elf_size_stubs elf64-ppc.c.
    - power10 on ppc32 fix:
      We don't support power10 on ppc32, mainly because some instructions
      have 34-bit fields for which we don't have relocations on ppc32.
      If you try to assemble typical code, you'll see errors saying
      "reloc ... not supported by object file format".  Also, on 32-bit
      hosts with binutils configured without a 64-bit bfd, you'll see errors
      saying "bignum invalid" when using large offsets.  But let's not kill
      output of prefix insns entirely on 32-bit hosts.
    - R_PPC64_GOT_LO_DS and R_PPC64_GOT_HA sanity check.
    - POWER10: Add Return-Oriented Programming instructions.
    - PR gold/27246, skip address size and segment selector for DWARF5.
    - Fix PR ld/27259, stop ld from endless looping on SHF_LINK_ORDER sh_link
      loops.
  * Fix removal of gfdl files with invariant sections.
  * Remove unused patch binutils-no-development.
  * Set unique build-ids for stripped files.
  * Regenerate man pages.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Feb 2021 17:55:20 +0100

binutils (2.35.1-7) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - Fix PR gold/27140, ppc32 segmentation fault in make_stub. Closes: #973746.
    - PR binutils/27128, nm -P portable output format regression.
    - PR ld/26382, elf: Keep only one '@' for undefined versioned symbols.
    - nm: Remove --with-symbol-versions.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jan 2021 11:57:25 +0100

binutils (2.35.1-6) unstable; urgency=medium

  * Fix FTCBFS: Disable pgo for cross builds (Helmut Grohne). Closes: #977822.
  * 'nopgo' in DEB_BUILD_OPTIONS also disables the pgo builds.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 2020 09:38:22 +0100

binutils (2.35.1-5) unstable; urgency=medium

  * Backport the PGO/LTO build patches.
  * Configure with --enable-pgo-build=lto, but don't do that for the cross
    packages. Takes some time to build ...

 -- Matthias Klose <doko@debian.org>  Thu, 17 Dec 2020 20:42:32 +0100

binutils (2.35.1-4) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - Fix PR ld/27016.
    - Fix PR binutils/26929, readelf: stack buffer overflow.
    - Fix PR gas/26858 Fix availability of single precision vmul/vmla
      in arm mode.
    - gold: Fix powerpc incremental-dump assertion failure.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 12:18:40 +0100

binutils (2.35.1-3) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - DWARF 5 backports.
    - Fix PR binutils/26808, also match abbrev base when searching
      abbrev list.
    - Fix PR gas/25878, PR gas/26740, always use as_where for preprocessed
      assembly codes, reuse the input file entry in the file table.
    - Fix PR gas/26778, clear all auto-assigned file slots.
    - Fix PR ld/26869, elf: Set rel_from_abs to 1 for __ehdr_start.
    - AArch64: Add support for Neoverse N2 CPU.
    - Fix R target/26763, arm: Fix the wrong error message string for
      mve vldr/vstr.
  * Fix PR gold/26902, jump to long branch on powerpc, taken from the
    trunk (Michael Hudson-Doyle).
  * gold: Fix powerpc incremental-dump assertion failure.
  * Update VCS-Browser attribute.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2020 11:38:54 +0100

binutils (2.35.1-2) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - ARM32: Add support for Neoverse N2 and V1 CPUs.
    - AArch64: Add support for Neoverse V1 CPU.
    - Various Power10 and Power gold fixes.
    - Fix PR gas/26685, x86: Check register operand for AddrPrefixOpReg.
    - Fix PR ld/26711, x86: Properly merge -z ibt and -z shstk.
    - Fix PR gas/26699, aarch64: Fix bogus type punning in parse_barrier().
    - Fix PR binutils/26520, fix decoding DWARF information in the BFD library.
  * AArch64: Add support for Neoverse N2 CPU, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:10:08 +0200
