## binutils 2.36.1

=== debian/changelog ===
binutils (2.36.1-6ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Mar 2021 16:01:50 +0100

binutils (2.36.1-6) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - Add install dependencies for ld -> bfd and libctf -> bfd.
  * Fix dangling symlinks in the cross packages. Closes: #985434.
  * Ignore bootstrap test regressions on alpha and ia64.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Mar 2021 15:59:45 +0100

binutils (2.36.1-5ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Mar 2021 21:08:34 +0100

binutils (2.36.1-5) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - PR ld/27441, inconsistency in weak definitions.
    - PowerPC64 undefined weak visibility vs GOT optimisation.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Mar 2021 20:59:07 +0100

binutils (2.36.1-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 11:22:18 +0100

binutils (2.36.1-3) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - binutils: Avoid renaming over existing files.
    - PR 26945, PR 27456.
  * When stripping packages, call debugedit before dwz to avoid warnings.
  * Add a README.source file.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2021 11:17:08 +0100

binutils (2.36.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Feb 2021 12:56:51 +0100

binutils (2.36.1-2) experimental; urgency=medium

  [ Matthias Klose ]
  * Remove unused patch.
  * Show available memory for autopkg tests.
  * Fix libctf* symbols files, and dependency generation. Closes: #983220.
  * Add debugedit as dependency for the build autopkg test.

  [ Nicolas Boulenguez ]
  * Various packaging changes. Closes: #979517.
    - Fix details in clean Make target when TARGET architecture is specified.
    - Fix a variable substition in debian/control.
    - Refresh patches, sorting files in each patch.
    - Compute D_CROSS from P_CROSS.
    - Spare two subprocesses in control file generation.
    - Replace Make foreach function with addprefix when possible.
    - Remove apparently redundant test.
    - Replace calls to dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk.
    - Make flow of with_cross easyer to follow.
    - Simplify definition of CROSS_ARCHS.
    - Fix prerequisites of stamps/control.
    - Fix an undefined reference when TARGET is defined.
    - Wrap two calls to dpkg-architecture into the _gnu_type macro.
    - Simplify a clean command.
    - Drop two unused variable definitions.
    - Distinguish TARGET, DEB_TARGET_ARCH and DEB_TARGET_GNU_TYPE.
    - Improve the _gnu_type and _multiarch macros.
  * README.cross: Document TARGET-driven cross build. Closes: #979516.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 12:52:20 +0100

binutils (2.36.1-1) experimental; urgency=medium

  * binutils 2.36.1 release.
  * Update from the binutils 2.36 branch:
    - IBM Z: Implement instruction set extensions.
    - PR27382, build failure if fileno() is a macro.
    - ld: Remove x86 ISA level run-time tests.
  * debian/patches/mips64-default-n64.diff: Update (YunQiang Su).
    Patch never forwarded upstream.
  * Build with Rules-Requires-Root: no.
  * Bump standards version.
  * Set unique build-ids for stripped files.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Feb 2021 14:52:51 +0100

binutils (2.36.1-0ubuntu1) hirsute; urgency=medium

  * binutils 2.36.1 release.
  * Update from the binutils 2.36 branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2021 11:48:03 +0100

binutils (2.36-2ubuntu3) hirsute; urgency=medium

  * Fix PR ld/27358, remove x86 ISA level run-time tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2021 16:27:28 +0100

binutils (2.36-2ubuntu2) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210206).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2021 10:19:12 +0100

binutils (2.36-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Jan 2021 16:13:40 +0100

binutils (2.36-2) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210130).

 -- Matthias Klose <doko@debian.org>  Sat, 30 Jan 2021 16:04:47 +0100

binutils (2.36-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Jan 2021 11:53:34 +0100

binutils (2.36-1) experimental; urgency=medium

  * binutils 2.36 release.
  * Update from the binutils 2.35 branch:
    - DWARF-5: Ignore empty range in DWARF-5 line number tables.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jan 2021 11:43:44 +0100

binutils (2.35.90.20210120-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Jan 2021 11:04:59 +0100

binutils (2.35.90.20210120-1) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210120).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 10:45:39 +0100

binutils (2.35.90.20210113-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Jan 2021 14:53:01 +0100

binutils (2.35.90.20210113-1) experimental; urgency=medium

  * Snapshot, taken from the 2.36 branch (20210106).

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jan 2021 12:00:22 +0100

binutils (2.35.50.20210106-1ubuntu2) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210106).


