=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 ###############################################################################
 
+include /usr/share/dpkg/pkg-info.mk
+
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
 DPKG_VARS := $(shell dpkg-architecture)
 DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
@@ -20,6 +22,17 @@
 DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
+
+ifeq (,$(filter no, $(DEB_RULES_REQUIRES_ROOT)))
+  require_root = yes
+endif
+ifeq ($(require_root),yes)
+  CHOWN = chown
+  DPKG_DEB = dpkg-deb
+else
+  CHOWN = : chown
+  DPKG_DEB = dpkg-deb --root-owner-group
+endif
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy jessie))
   ifeq ($(DEB_HOST_GNU_TYPE),i586-linux-gnu)
@@ -57,7 +70,7 @@
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
 
-p_cross = $(p_bin)-$(subst _,-,$(TARGET))
+p_cross = $(p_bin)-$(subst _,-,$(DEB_TARGET_GNU_TYPE))
 
 # version used for p_bld/p_hst dependencies
 min_ver = 2.30-2
@@ -110,70 +123,47 @@
 
 # don't generate the control file entries for native packages which are never
 # built. Only valid for Ubuntu. The autopkg testers get confused otherwise
-ifneq ($(distribution),Ubuntu)
+ifneq ($(distribution)-$(CROSS_ARCHS),Ubuntu-)
   NATIVE_ARCHS += mips mipsel mips64 mips64el
   NATIVE_ARCHS += mipsn32 mipsn32el
   NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
 endif
 
-src_name := $(shell dpkg-parsechangelog -S Source)
-ifeq ($(src_name),binutils)
+with_cross = yes
+ifeq ($(DEB_SOURCE),binutils)
   with_native	= yes
-  with_cross	= yes
   same_source	= yes
-  ifeq (,$(CROSS_ARCHS))
-    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
-      CROSS_ARCHS =  s390x ppc64el arm64 armhf armel
-      CROSS_ARCHS += alpha hppa m68k
-      CROSS_ARCHS += powerpc ppc64 sh4 sparc64
-      CROSS_ARCHS += ia64 riscv64
-      CROSS_ARCHS += kfreebsd-amd64 kfreebsd-i386 hurd-i386
-      ifneq (,$(filter $(DEB_HOST_ARCH), i386 x32))
-        CROSS_ARCHS += amd64
-      endif
-      ifneq (,$(filter $(DEB_HOST_ARCH), amd64 x32))
-        CROSS_ARCHS += i386
-      endif
-      ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386))
-        CROSS_ARCHS += x32
-      endif
-    else ifeq ($(DEB_HOST_ARCH),arm64)
-      CROSS_ARCHS = armel armhf amd64 i386 ppc64el riscv64 s390x x32
-    else ifeq ($(DEB_HOST_ARCH),ppc64)
-      CROSS_ARCHS = ppc64el
-    else ifeq ($(DEB_HOST_ARCH),ppc64el)
-      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
-    else
-      CROSS_ARCHS =
-    endif
-  else
-    # c-t-b passes this one ...
-    CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
-  endif
-else ifeq ($(src_name),binutils-mipsen)
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
+    # DEB_HOST_ARCH is filtered-out later anyway, do not test here.
+    CROSS_ARCHS ?= amd64 i386 x32 \
+                   s390x ppc64el arm64 armhf armel \
+                   alpha hppa m68k \
+                   powerpc ppc64 sh4 sparc64 \
+                   ia64 riscv64 \
+                   kfreebsd-amd64 kfreebsd-i386 hurd-i386
+  else ifeq ($(DEB_HOST_ARCH),arm64)
+    CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x x32
+  else ifeq ($(DEB_HOST_ARCH),ppc64)
+    CROSS_ARCHS ?= ppc64el
+  else ifeq ($(DEB_HOST_ARCH),ppc64el)
+    CROSS_ARCHS ?= powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
+  endif
+else ifeq ($(DEB_SOURCE),binutils-ports)
+  CROSS_ARCHS ?= m68k sh4 mips64 mips64el
+else ifeq ($(DEB_SOURCE),binutils-mipsen)
   with_native	=
-  with_cross	= yes
   same_source	=
-  ifeq (,$(CROSS_ARCHS))
-    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
-      CROSS_ARCHS = mips mipsel mips64el mips64 mipsn32 mipsn32el
-      CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
-    else ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
-      CROSS_ARCHS = mipsel mips64el
-    else
-      CROSS_ARCHS =
-    endif
-  else
-    # c-t-b passes this one ...
-    CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
+    CROSS_ARCHS ?= mips mipsel mips64el mips64 mipsn32 mipsn32el \
+                   mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
+  else ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
+    CROSS_ARCHS ?= mipsel mips64el
   endif
 else
-  # binutils-ports ...
-  with_cross	= yes
-  ifeq (,$(CROSS_ARCHS))
-    CROSS_ARCHS ?= m68k sh4 mips64 mips64el
-  endif
-endif
+  $(error unexpected source package name: $(DEB_SOURCE))
+endif
+# c-t-b passes this one ...
+CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
 
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32 hppa))
   with_hppa64 = yes
@@ -229,12 +219,17 @@
 HOST_ARCHS_kfreebsd-i386 = amd64 i386 x32
 HOST_ARCHS_hurd-i386 = amd64 i386 x32
 
+# Map a Debian architecture alias to a GNU type or a multiarch path component.
+run_dpkg_arch = $(or $(dpkg_arch_$1),$(eval \
+  dpkg_arch_$1 := $(shell dpkg-architecture -f -a$1))$(dpkg_arch_$1))
+_gnu_type  = $(call vafilt,$(run_dpkg_arch),DEB_HOST_GNU_TYPE)
+_multiarch = $(call vafilt,$(run_dpkg_arch),DEB_HOST_MULTIARCH)
+
+# Convenient shortcuts for {configure,build,install,binary}.%: generic recipes.
 CROSS_ARCH	= $(subst .,,$(suffix $@))
-_gnu_type	= $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f 2>/dev/null)
-_multiarch	= $(shell dpkg-architecture -a$(1) -qDEB_HOST_MULTIARCH -f 2>/dev/null)
 CROSS_GNU_TYPE	= $(subst i586,i686,$(call _gnu_type,$(CROSS_ARCH)))
 P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
-D_CROSS		= debian/binutils-$(subst _,-,$(CROSS_GNU_TYPE))
+D_CROSS		= debian/$(P_CROSS)
 
 # If $(TARGET) is not set, try reading debian/target
 ifeq (,$(TARGET))
@@ -245,6 +240,5 @@
 
 ifneq (,$(TARGET))
   with_native	=
-  with_cross	=
+  with_cross	= disabled by TARGET
   same_source	=
-  # Support TARGET both as Debian architecture specification (e.g. arm),
