## binutils 2.37

=== debian/changelog ===
binutils (2.37-7ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 17:34:35 +0200

binutils (2.37-7) unstable; urgency=medium

  * Fix PR ld/28348, taken from the trunk. Closes: #994530.
  * Revert the arc build, needs dpkg supporting this architecture.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 17:23:57 +0200

binutils (2.37-6) unstable; urgency=medium

  * Add support to build for arc-linux-gnu. Closes: #994190.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Sep 2021 08:41:56 +0200

binutils (2.37-5ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Aug 2021 10:59:38 +0200

binutils (2.37-5) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - [GOLD] PowerPC64 relocation overflow for -Os register save/restore funcs.
  * Update libctf0 and libctf-nobsd0 symbols files.
  * Rebuild man pages, included as empty files in the upstream tarball.
    Closes: #992323. LP: #1940712.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Aug 2021 10:51:17 +0200

binutils (2.37-4) unstable; urgency=medium

  * Update from the binutils 2.37 branch:
    - Revert the ld script expression parsing changes.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 16:51:18 +0200

binutils (2.37-2ubuntu4) impish; urgency=medium

  * Configure --with-gold-ldflags=-static-libstdc++.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Aug 2021 14:19:27 +0200

binutils (2.37-2ubuntu3) impish; urgency=medium

  * Update from the binutils 2.37 branch:
    - Revert the ld script expression parsing changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2021 11:33:52 +0200

binutils (2.37-2ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jul 2021 14:09:19 +0200

binutils (2.37-2) experimental; urgency=medium

  * Update from the binutils 2.37 branch:
    - Fix PR ld/28138, close the file descriptor if there is no archive fd.
    - Fix PR 28144, man page generation.
    - Fix ld script expression parsing.
    - Fix build failures with clang.
    - Revert: PowerPC: Don't generate unused section symbols, blindly
      following x86 broken linux kernel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jul 2021 13:49:51 +0200

binutils (2.37-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Jul 2021 08:20:15 +0200

binutils (2.37-1) experimental; urgency=medium

  * binutils 2.37 release.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jul 2021 08:11:10 +0200

binutils (2.36.90.20210712-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the 2.37 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jul 2021 09:18:25 +0200

binutils (2.36.90.20210705-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the 2.37 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 09:28:29 +0200

binutils (2.36.90.20210705-1) experimental; urgency=medium

  * New upstream snapshot, taken from the 2.37 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Jul 2021 09:17:21 +0200

binutils (2.36.50.20210628-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jun 2021 16:23:43 +0200

binutils (2.36.50.20210628-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jun 2021 16:14:58 +0200

binutils (2.36.50.20210618-1ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Jun 2021 14:57:12 +0200

binutils (2.36.50.20210618-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Apply a hack for mips. See #765710.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jun 2021 11:54:54 +0200

binutils (2.36.50.20210603-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Jun 2021 14:00:25 +0200

binutils (2.36.50.20210602-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Jun 2021 07:30:20 +0200

binutils (2.36.50.20210601-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Jun 2021 21:25:10 +0200
