=== debian/control ===
--- 
+++ 
@@ -24,8 +24,9 @@
   g++-x86-64-linux-gnu [arm64 i386 ppc64el] <!nocheck>,
   g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
+Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: //salsa.debian.org/toolchain-team/binutils/tree/binutils-2.35
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
