=== debian/rules ===
--- 
+++ 
@@ -149,7 +149,7 @@
     CROSS_ARCHS ?= powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
   endif
 else ifeq ($(DEB_SOURCE),binutils-ports)
-  CROSS_ARCHS ?= m68k sh4 mips64 mips64el
+  CROSS_ARCHS ?= m68k sh4
 else ifeq ($(DEB_SOURCE),binutils-mipsen)
   with_native	=
   same_source	=
